Update a slide
curl --request PUT \
--url https://app.demand-iq.com/api/slides/{slideId} \
--header 'Content-Type: application/json' \
--cookie session= \
--data '
{
"title": "<string>",
"bullets": [
"<string>"
],
"narrationScript": "<string>",
"slideContext": "<string>",
"audioUrl": "<string>",
"heroImg": "<string>",
"orderIndex": 123
}
'import requests
url = "https://app.demand-iq.com/api/slides/{slideId}"
payload = {
"title": "<string>",
"bullets": ["<string>"],
"narrationScript": "<string>",
"slideContext": "<string>",
"audioUrl": "<string>",
"heroImg": "<string>",
"orderIndex": 123
}
headers = {
"cookie": "session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
bullets: ['<string>'],
narrationScript: '<string>',
slideContext: '<string>',
audioUrl: '<string>',
heroImg: '<string>',
orderIndex: 123
})
};
fetch('https://app.demand-iq.com/api/slides/{slideId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slide": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slideId": "<string>",
"title": "<string>",
"bullets": [
"<string>"
],
"narration_script": "<string>",
"orderIndex": 123,
"slideType": "standard",
"slide_context": "<string>",
"audio_url": "<string>",
"hero_img": "<string>",
"hero_img_thumb": "<string>",
"wordTimings": [
{
"word": "<string>",
"startTime": 123,
"endTime": 123
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Slides
Update a slide
PUT
/
api
/
slides
/
{slideId}
Update a slide
Authorizations
Session cookie obtained from POST /api/auth/login.
Path Parameters
UUID of the slide
Body
application/json
Response
Updated slide
Show child attributes
Show child attributes